using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Input;
using System.Windows.Media;

namespace PDF_Office.CustomControl
{
    public class CustomIconToggleBtn: ToggleButton
    {
        public CustomIconToggleBtn()
        {
        }

        public override void OnApplyTemplate()
        {
            base.OnApplyTemplate();
        }

        public ImageSource Icon
        {
            get { return (ImageSource)GetValue(NormalIconProperty); }
            set { SetValue(NormalIconProperty, value); }
        }
        public static readonly DependencyProperty NormalIconProperty =
           DependencyProperty.Register("Icon", typeof(ImageSource), typeof(CustomIconToggleBtn), new PropertyMetadata(null));
    }

   
}
